Product comparison · 2 modems

TP-Link ADSL2+ Modem Router vs TP-Link Deco X73-DSL(3-Pack)

Add a product
  • 7specifications compared
  • 5differ
  • 2identical
  • 16known for one product only

Key differences

The TP-Link Deco X73-DSL(3-Pack) has 3 more Ethernet LAN (RJ-45) ports than the TP-Link ADSL2+ Modem Router (4 vs 1). The TP-Link Deco X73-DSL(3-Pack) has 15 mm more depth than the TP-Link ADSL2+ Modem Router (123 mm vs 108 mm). The TP-Link Deco X73-DSL(3-Pack) has 182 mm more height than the TP-Link ADSL2+ Modem Router (210 mm vs 28 mm). Storage temperature (T-T): -40 - 70 °C on the TP-Link ADSL2+ Modem Router, -40 - 60 °C on the TP-Link Deco X73-DSL(3-Pack).

  • Ethernet LAN (RJ-45) ports
    • ADSL2+ Modem Router:1
    • Deco X73-DSL(3-Pack):4
  • Storage temperature (T-T)
    • ADSL2+ Modem Router:-40 - 70 °C
    • Deco X73-DSL(3-Pack):-40 - 60 °C
  • Depth
    • ADSL2+ Modem Router:108 mm
    • Deco X73-DSL(3-Pack):123 mm
  • Height
    • ADSL2+ Modem Router:28 mm
    • Deco X73-DSL(3-Pack):210 mm
  • Width
    • ADSL2+ Modem Router:165 mm
    • Deco X73-DSL(3-Pack):130 mm

Side by side

Differences highlightedShow differences only (on)
Comparison of ADSL2+ Modem Router, Deco X73-DSL(3-Pack)
23 specifications
Performanceidentical
Upstream data rateKnown for one3.5 Mbit/sUnknown — not stated by the source
Downstream data rateKnown for one24 Mbit/sUnknown — not stated by the source
MAC address filteringKnown for oneYesUnknown — not stated by the source
Networking featuresKnown for oneFast EthernetUnknown — not stated by the source
Supported protocolsKnown for oneATM Forum UNI3.1/4.0 PVC - Up to 8 PVCs PPP over ATM (RFC 2364) PPP over Ethernet (RFC2516) IPoA (RFC1577/2225)Unknown — not stated by the source
Featuresidentical
Connectivity LEDsKnown for oneYesUnknown — not stated by the source
Product colourKnown for oneUnknown — not stated by the sourceWhite
Built-in processorKnown for oneUnknown — not stated by the sourceYes
Firewall securityKnown for oneUnknown — not stated by the sourceSPI
Security algorithmsKnown for oneUnknown — not stated by the sourceWPA, WPA3
Ports & interfaces1 differ
DC-in jackKnown for oneYesUnknown — not stated by the source
Ethernet LAN (RJ-45) portsDiffers14
Modem (RJ-11) portsKnown for one1Unknown — not stated by the source
Poweridentical
Power supply typeKnown for one9VDC/0.6A PSUUnknown — not stated by the source
Certificatesidentical
Compliance industry standardsKnown for oneIEEE 802.3, IEEE802.3uUnknown — not stated by the source
Operational conditions1 differ
Storage temperature (T-T)Differs-40 - 70 °C-40 - 60 °C
Weight & dimensions3 differ
DepthDiffers108 mm123 mm
HeightDiffers28 mm210 mm
WidthDiffers165 mm130 mm
Modemidentical
Antenna typeKnown for oneUnknown — not stated by the sourceInternal
VDSL2Known for oneUnknown — not stated by the sourceYes

A dash means the value is not stated by the source. Unknown values are never counted for or against a product, and there is no overall score.

More modem comparisons

All modem comparisons